Subject: Re: [Iptel] draft-rosen-iptel-dialstring-06

From: Paul Kyzivat <[email-masked]>
Date: Thu, 01 Mar 2007 09:29:04 -0500

Brian Rosen wrote:
> I have updated the draft, hopefully for the last time.
> 
> I replaced the ABNF with that suggested by Paul.  It is not legal, in my
> opinion, to have just a pause/wait as a dialstring, and so I used the
> version he supplied which does not allow that construction.
> 
> With regard to the text on translation of a dialstring to a phone number, I
> tried to craft compromise language which would meet the point raised by
> Richard, and subsequently discussed by Francois and Tom, plus the
> observation by Paul.
> 
> That paragraph now reads:
>   A proxy server or Back to Back User Agent (B2BUA) [RFC3261] which is
>   authoritative for the context may translate the dial string to a
>   telephone number or service invocation URI.  The telephone number MAY
>   be expressed as a global or local tel: URI, or it MAY be left as a
>   sip: or sips: URI with the URI parameter value changed from
>   "user=dialstring" to "user=phone".

This sounds good to me.

> Note that this allows translation to a tel:, which Richard asked for.  It
> leaves the text from the original that details the change in the URI
> parameter.  I deleted the line about when the translation is done, observing
> that the first line of the paragraph states "which is authoritative for the
> context", which seems to meet the needs of Tom and Francois.
> "Authoritative" may not be the best word, but I think it conveys the correct
> intent.  "which understands" would be slightly more general, but less
> informative I think.

I think authoritative is probably ok, though we may end up arguing about 
what it means. Lets consider a usecase:

	sip:1234;phone-context=[email-masked];user=dialstring

If a cisco.com proxy happens to have information about the 
brianrosen.net context, can it consider itself to be "authoritative" and 
do a translation? (I don't have any problem interpreting it this way.)

(Of course, *how* one would get the above url in the first place is a 
good question. I think it would require a phone configured for use on a 
cisco internal network that has a digit map for brianrosen.net.)

	Paul

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

---

From: "Brian Rosen" <[email-masked]>
Date: Thu, 1 Mar 2007 12:50:15 -0500

I don't have a problem with the interpretation.  If it knows what the
context means, then it is authoritative.

Brian

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Thursday, March 01, 2007 9:29 AM
> To: Brian Rosen
> Cc: [email-masked]
> Subject: Re: [Iptel] draft-rosen-iptel-dialstring-06
> 
> 
> 
> Brian Rosen wrote: